Skip to content

Get a canon element gtin

Canon module

GET/canon/element-gtins/{gtin}canonElementGtins.get

A GTIN mapped to an element. One GTIN maps to at most one element. Returns one canon element gtin with its `ETag`. A canon element gtin the caller may not see returns 404.

  • Requires the capability canon.taxonomy.read.
  • OAuth scopes: canon.
  • Error statuses: 400, 401, 404, 429. Errors are RFC 9457 problem details.

Path and query parameters

canonElementGtins.get: Path and query parameters
FieldTypeRequiredDescription
gtinstringYesGTIN identifier.Constraints: pattern ^[0-9]{8,14}$
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Constraints: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Response 200: CanonElementGtin

canonElementGtins.get: CanonElementGtin
FieldTypeRequiredDescription
gtinstringYesGTIN identifier.Constraints: pattern ^[0-9]{8,14}$
element_idItemIdYesCatalog item identifier `{URID}-{ORG}-{SEQ}` (Section 3.6).Constraints: pattern ^[0-9]000\.[0-9]{2}\.[0-9]{2}-[A-Z0-9]+-[0-9]+$
confirmed_bystringYesRatifier who confirmed the crosswalk.Constraints: length 1 to 300
{
  "gtin": "00012345678905",
  "element_id": "4000.01.01-XPMS-001",
  "confirmed_by": "Canon Ratifier"
}

Code samples

curl -X GET "$XOS_BASE_URL/canon/element-gtins/00012345678905" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.canonElementGtins.get("00012345678905");
response = xos.canon_element_gtins.get("00012345678905")
xos canon-element-gtins get 00012345678905